<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.logging.core.sample"
   name="Sample for Hyades Logging Core"
   version="3.0.1"
   provider-name="Eclipse.org">

   <runtime>
   
      <library name="hyades.logging.core.sample.jar">
         <export name="*"/>
      </library>
   
   </runtime>
   
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.ui.ide"/>  
      <import plugin="org.eclipse.ui.workbench"/>            
      <import plugin="org.eclipse.jface"/>        
      <import plugin="org.eclipse.hyades.ui"/>
   </requires>

   <extension point="org.eclipse.ui.newWizards">
		<category
			id = "org.eclipse.hyades.logging.samples"
			parentCategory="org.eclipse.ui.Examples"
			name="%HYADES_LOGGING_SAMPLES_CATEGORY_NAME">
		</category>
   
		<wizard 
			id="org.eclipse.hyades.logging.sample.core"
			name="%HYADES_COMMON_BASE_EVENT_V101_SAMPLE_NAME"
			class="org.eclipse.hyades.logging.core.sample.wizard.SampleCreationWizard"
			category="org.eclipse.ui.Examples/org.eclipse.hyades.logging.samples"
			project="true"
			finalPerspective="org.eclipse.jdt.ui.JavaPerspective"
			icon="icons\newHyadesLoggingCoreSampleProject_wiz.gif">
			
            <description>
                %HYADES_COMMON_BASE_EVENT_V101_SAMPLE_DESC
            </description>			
		</wizard>	      
   </extension>

   <extension point="org.eclipse.hyades.ui.sampleWizards">
		<sampleWizard
			id="org.eclipse.hyades.logging.sample.core.sample"
			wizardId="org.eclipse.hyades.logging.sample.core"
			banner="icons\newHyadesLoggingCoreSampleProject_wizbanner.gif">
			
			<projectsetup
				pagetitle="%HYADES_COMMON_BASE_EVENT_V101_SAMPLE_PAGE1_NAME"
				pagedescription="%HYADES_COMMON_BASE_EVENT_V101_SAMPLE_PAGE1_DESC"
				name="HyadesEMFCommonBaseEventv101Project"
				helpId="">
				
				<open file="readme.html" editorId="com.ibm.etools.webbrowser"/>
				<import dest="" src="archive/HyadesEMFCommonBaseEventv101Sample"/>
				<nature id="org.eclipse.jdt.core.javanature"/>
				<buildCommand name="org.eclipse.jdt.core.javabuilder"/>
			</projectsetup>
		</sampleWizard>
   </extension>

</plugin>
